Qwt User's Guide: QwtSetSeriesData Class Reference

Qwt User's Guide 6.1.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Public Member Functions | List of all members
QwtSetSeriesData Class Reference

Interface for iterating over an array of samples. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtSetSeriesData:
[legend]

## Public Member Functions

| QwtSetSeriesData (const QVector< QwtSetSample > &=QVector< QwtSetSample >())
virtual QRectF | boundingRect () const
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtSetSample >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtSetSample > &samples)
void | setSamples (const QVector< QwtSetSample > &samples)
const QVector< QwtSetSample > | samples () const
virtual size_t | size () const
virtual QwtSetSample | sample (size_t index) const
Public Member Functions inherited from QwtSeriesData< QwtSetSample >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members

Protected Attributes inherited from QwtArraySeriesData< QwtSetSample >
QVector< QwtSetSample > | d_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< QwtSetSample >
QRectF | d_boundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of samples.

## Constructor & Destructor Documentation

QwtSetSeriesData::QwtSetSeriesData | ( | const QVector< QwtSetSample > & | samples = `QVector<QwtSetSample>()` | ) |

Constructor

Parameters

  samples | Samples

## Member Function Documentation

QRectF QwtSetSeriesData::boundingRect | ( |  | ) | const

virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< QwtSetSample >.